<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="3.20"/>
  <object class="GtkPopoverMenu" id="menu_power">
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="margin">10</property>
        <property name="spacing">6</property>
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkModelButton">
            <property name="visible">True</property>
            <property name="action-name">panel.restart</property>
            <property name="text" translatable="yes">Restart</property>
          </object>
        </child>
        <child>
          <object class="GtkModelButton">
            <property name="visible">True</property>
            <property name="action-name">panel.poweroff</property>
            <property name="text" translatable="yes">Power Off</property>
          </object>
        </child>
      </object>
    </child>
  </object>

  <template class="PhogTopPanel" parent="PhogDragSurface">
    <property name="can_focus">False</property>
    <child>
      <object class="GtkBox" id="box">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkBox" id="box_clock">
            <property name="visible">True</property>
            <style>
              <class name="phog-clock-box"/>
            </style>
            <child type="center">
              <object class="GtkBox">
                <property name="visible">True</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkLabel" id="lbl_clock2">
                    <property name="visible">True</property>
                    <property name="margin-top">2</property>
                    <style>
                      <class name="phog-topbar-clock"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="lbl_date">
                    <property name="visible">True</property>
                    <style>
                      <class name="phog-topbar-date"/>
                    </style>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkMenuButton" id="btn_power">
                <property name="visible">True</property>
                <property name="sensitive">True</property>
                <property name="popover">menu_power</property>
                <style>
                  <class name="phog-topbar-button"/>
                </style>
                <child>
                  <object class="GtkImage">
                    <property name="visible">True</property>
                    <property name="icon-name">system-shutdown-symbolic</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="pack-type">end</property>
              </packing>
            </child>
          </object> <!-- box_clock -->
        </child>
        <child>

          <object class="GtkStack" id="stack">
            <property name="visible">True</property>
            <property name="transition-type">crossfade</property>
            <child>
              <object class="GtkBox" id="box_top_bar">
                <property name="visible">True</property>
                <property name="expand">True</property>
                <property name="valign">end</property>
                <property name="name">top-bar</property>
                <!-- PHOG_TOP_PANEL_HEIGHT -->
                <property name="height-request">32</property>
                <child>
                  <object class="GtkBox" id="box_network">
                    <property name="visible">True</property>
                    <child>
                      <object class="PhogWWanInfo" id="wwaninfo">
                        <property name="visible" bind-source="wwaninfo" bind-property="present" bind-flags="sync-create"/>
                        <property name="margin-start">0</property>
                        <property name="margin-end">8</property>
                        <property name="icon-size">GTK_ICON_SIZE_SMALL_TOOLBAR</property>
                        <property name="show_detail">True</property>
                        <style>
                          <class name="phog-wwan-indicator"/>
                        </style>
                      </object>
                    </child>
                    <child>
                      <object class="PhogWifiInfo" id="wifiinfo">
                        <property name="visible" bind-source="wifiinfo" bind-property="present" bind-flags="sync-create"/>
                        <property name="icon-size">GTK_ICON_SIZE_SMALL_TOOLBAR</property>
                        <property name="margin-end">8</property>
                      </object>
                    </child>
                    <child>
                      <object class="PhogConnectivityInfo" id="connectivity_info">
                        <property name="visible" bind-source="connectivity_info" bind-property="connectivity" bind-flags="invert-boolean|sync-create"/>
                        <property name="icon-size">GTK_ICON_SIZE_SMALL_TOOLBAR</property>
                        <property name="margin-end">8</property>
                      </object>
                    </child>
                  </object> box_network
                </child>
                <child type="center">
                  <object class="GtkLabel" id="lbl_clock">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="receives_default">True</property>
                    <property name="margin_top">2</property>
                    <property name="label">00:00</property>
                    <style>
                      <class name="phog-topbar-clock"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkBox" id="box_indicators">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="halign">end</property>
                    <style>
                      <class name="indicators"/>
                    </style>
                    <child>
                      <object class="PhogBatteryInfo" id="batteryinfo">
                        <property name="visible">True</property>
                        <property name="margin-end">0</property>
                        <property name="icon-size">GTK_ICON_SIZE_SMALL_TOOLBAR</property>
                      </object>
                    </child>
                  </object> <!-- box_indicators -->
                  <packing>
                    <property name="pack_type">end</property>
                  </packing>
                </child>
              </object> <!-- box_top_bar -->
              <packing>
                <property name="name">top-bar</property>
              </packing>
            </child>

            <child>
              <object class="PhogArrow" id="arrow">
                <property name="visible">True</property>
                <property name="vexpand">True</property>
                <property name="valign">end</property>
                <property name="margin-bottom">6</property>
              </object>
              <packing>
                <property name="name">arrow</property>
              </packing>
            </child>
          </object>  <!-- stack -->
          <packing>
            <property name="position">2</property>
          </packing>
        </child>
        <child>
          <object class="PhogSettings" id="settings">
            <property name="visible">True</property>
            <signal name="notify::drag-handle-offset" handler="on_settings_drag_handle_offset_changed" swapped="true"/>
          </object>
          <packing>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </template>
  <object class="GtkGestureMultiPress" id="click_gesture">
    <property name="widget">PhogTopPanel</property>
    <signal name="released" handler="released_cb" swapped="true"/>
  </object>
</interface>
